/*  $Id: TextCursor.h,v 1.3 1997/04/04 08:23:42 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_TEXTCURSOR_H
#define _PCE_TEXTCURSOR_H

PceExternalClass(ClassTextCursor);
class PceTextCursor :public PceObject
{
public:
  PceTextCursor() :
    PceObject(ClassTextCursor)
  {
  }
  PceTextCursor(PceArg for) :
    PceObject(ClassTextCursor, for)
  {
  }
};

inline PceTextCursor
AsTextCursor(PceArg a)
{ return *((PceTextCursor*) &a);
}

#endif /*!_PCE_TEXTCURSOR_H*/
